<?php
/**
 * Result Count
 *
 * Shows text: Showing x - x of x results.
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/loop/result-count.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.woocommerce.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     3.7.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

global $wp_query;

if ( ! woocommerce_products_will_display() ) {
	return;
}
?>
<div class="gamezone_shop_mode_buttons_result">
	<div class="gamezone_shop_mode_buttons"><form action="<?php echo esc_url(gamezone_get_current_url()); ?>" method="post"><input type="hidden" name="gamezone_shop_mode" value="<?php echo esc_attr(gamezone_storage_get('shop_mode')); ?>" /><a href="#" class="woocommerce_thumbs icon-shop1" title="<?php esc_attr_e('Show products as thumbs', 'gamezone'); ?>"></a><a href="#" class="woocommerce_list icon-shop2" title="<?php esc_attr_e('Show products as list', 'gamezone'); ?>"></a></form></div><p class="woocommerce-result-count">
		<?php
		$paged    = max( 1, $wp_query->get( 'paged' ) );
		$per_page = $wp_query->get( 'posts_per_page' );
		$total    = $wp_query->found_posts;
		$first    = ( $per_page * $paged ) - $per_page + 1;
		$last     = min( $total, $wp_query->get( 'posts_per_page' ) * $paged );

		if ( $total <= $per_page || -1 === $per_page ) {
			/* translators: %d: total results */
			printf( (1==$total ? esc_html__('Comment', 'gamezone') : esc_html__('Comments', 'gamezone')), $total);
		} else {
			/* translators: 1: first result 2: last result 3: total results */
            1==$total ? esc_html__('Showing the single result', 'gamezone') : esc_html__('Comments', 'gamezone');
			esc_html( sprintf( _nx( 'Showing the single result', 'Showing %1$d&ndash;%2$d of %3$d results', $total, 'with first and last result', 'gamezone' ), $first, $last, $total ));
		}
		?>
	</p>
</div>
